UPDATE ManagedElementType
SET TableName = 'Asset_Win32_Processor'
	, ManagedElementGuidColumnName = 'Win32_ProcessorGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '80B8450D-513A-4740-8F11-90B06F45BD01'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_PhysicalMemory'
	, ManagedElementGuidColumnName = 'Win32_PhysicalMemoryGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'D0A7AD9D-6629-450C-A764-122F654E95C7'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_LogicalDisk'
	, ManagedElementGuidColumnName = 'Win32_LogicalDiskGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'FD8A965C-0CBB-43FC-AA8E-B1B9610C7EE1'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_DiskDrive'
	, ManagedElementGuidColumnName = 'Win32_DiskDriveGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '7270D020-3C19-4EEA-BD24-A06B1771EE1B'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_BaseBoard'
	, ManagedElementGuidColumnName = 'Win32_BaseBoardGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '1F2A3E0D-EDDE-4686-9755-B48F76116483'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_OperatingSystem'
	, ManagedElementGuidColumnName = 'Win32_OperatingSystemGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '7A8AE7F7-7916-4230-B223-4C76A173E752'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_SystemEnclosure'
	, ManagedElementGuidColumnName = 'Win32_SystemEnclosureGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '0D3CEE92-98EE-4BE6-AE55-57CC738C5107'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_ComputerSystem'
	, ManagedElementGuidColumnName = 'Win32_ComputerSystemGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '91A7881D-130A-48C4-9297-50EF755B5EAE'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_MotherBoardDevice'
	, ManagedElementGuidColumnName = 'Win32_MotherBoardDeviceGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'EBA6E60C-DE47-47FE-9A3C-DA8636900737'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_NetworkAdapter'
	, ManagedElementGuidColumnName = 'Win32_NetworkAdapterGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '3970D2A8-8B68-40D3-BAEF-34FDC421886A'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_NetworkAdapterConfiguration'
	, ManagedElementGuidColumnName = 'Win32_NetworkAdapterConfigurationGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'A8D29583-A1A3-4FFE-8A38-129F24A73DA0'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_Bios'
	, ManagedElementGuidColumnName = 'Win32_BiosGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'D28E91A4-A454-4927-865F-CB04942DE965'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_ProductKey'
	,ManagedElementGuidColumnName = 'ProductKeyGuid'
	,ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'C039C4F8-C292-4A8B-8738-AE8043209985'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_Environment'
	,ManagedElementGuidColumnName = 'Win32_EnvironmentGuid'
	,ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '7a455641-0d9b-4204-857d-585137d4f243'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_SMBios_Processor'
	,ManagedElementGuidColumnName = 'SMBios_ProcessorGuid'
	,ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '9B45AB98-BA85-43EF-8E79-82B3FCDA7755'
GO

UPDATE ManagedElementType
SET TableName = 'Asset_Win32_Printer'
	,ManagedElementGuidColumnName = 'Win32_PrinterGuid'
	,ME2CategoryID = 6
WHERE ManagedElementTypeGuid = 'a5b54431-a5b8-4d35-9f11-6c7337ee47a6'
GO
UPDATE ManagedElementType
SET TableName = 'Asset_Device'
	, ManagedElementGuidColumnName = 'DeviceGuid'
	, ME2CategoryID = 6
WHERE ManagedElementTypeGuid = '0610A168-9632-48CF-B355-72FAE932E201' AND TableName is NULL
GO